/* printing technology */
.expandable-text {
    --line-height: 1.5em;
    --lines-to-show: 2;
    line-height: var(--line-height);
    max-height: calc(var(--line-height) * var(--lines-to-show));
    overflow: hidden;
    position: relative;
    transition: max-height 0.5s ease-in-out;
}

.expandable-text.expanded {
    max-height: none;
}

.more-content {
    display: none;
}

.read-more-btns {
    margin-top: 10px;
    cursor: pointer;
    border: none;
    background: none;
    text-decoration: none;
    /* color: blue; */
    text-decoration: underline;
    padding: 0;
}

.print_row {
    display: flex;
    justify-content: center;
}

/* End printing technology */









.slider-text {
    color: white;
}

.img_slider {
    border-top-left-radius: 18%;
    border-bottom-left-radius: 18%;
    overflow: hidden;
    padding: 5%;
}

.content_slider {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-left: 7%;
    padding-top: 20px;
    padding-bottom: 20px;

}

.slide_title {
    color: white;
}


.service-title {
    overflow: hidden;
    text-overflow: ellipsis;
    height: 34px;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

#two-line {
    height: 50px;
    padding-top: 8px;
    padding-bottom: 6px;
    line-height: 1.4em;
    overflow: hidden;
}

.service-text {
    line-height: 1.4em;
    padding-top: 6px;
    display: none;
    margin-top: 6px;
    height: auto;

}

.service-item {
    padding: 0px;
}

.features {
    padding: 20px 0px;
}

.features-button {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 10px;

}

.feature-icon {
    width: 170px;
    height: 170px;
    margin-bottom: 14px;
}

.feature-icon img {
    width: 140px !important;
}

.feature-item {
    box-shadow: rgba(17, 17, 26, 0.1) 0px 1px 0px, rgba(17, 17, 26, 0.1) 0px 8px 24px, rgba(17, 17, 26, 0.1) 0px 16px 48px;
}

.img-sub-product img {
    border-radius: 10%;
    overflow: hidden;
}

.btn_product {
    background-color: #F44336 !important;
    width: 100%;
    cursor: pointer;
}

.service-title a {
    margin-top: 8px !important;
    margin-bottom: 6px !important;
    font-size: 16px;
    color: white;
}

.navbar .nav-item .dropdown-submenu a::after {
    top: 2px !important;

}

.service-icon img {
    width: 160px;
    /* padding:10px; */
}


/* sub slider */
.sub_names {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.sub_names {

    margin: 5px;
}

.sub_names .subs {
    padding: 10px 16px;
    background-color: black;
    color: white;
    font-size: 18px;
    text-align: center;
    border-radius: 40px;
    width: 100%
}

.owl-stage {
    display: flex;
    justify-content: center;
    align-items: center;
}

/*End sub slider */

.features-button .theme-btn {
    padding: 2px 6px 2px 25px !important;
}

/* .contact-info-content p {
      display: -webkit-box;
      -webkit-line-clamp: 1;
      height: 25px;
      -webkit-box-orient: vertical;
      overflow: hidden;
  } */
.hero-sub-title {
    height: 51px !important;
    overflow: hidden !important;
    line-height: 1.8 !important;
}

.service-item {

    padding: 8px !important;
    box-shadow: rgba(17, 17, 26, 0.1) 0px 1px 0px, rgba(17, 17, 26, 0.1) 0px 8px 24px, rgba(17, 17, 26, 0.1) 0px 16px 48px;
}

.service-icon {

    width: 100% !important;
    height: 100% !important;

    margin-bottom: 12px !important;
    margin-top: 12px !important;
}

/* .service-single-area {
      margin-top: 30px !important;
  } */


.service-details-img {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 6px;
    margin-bottom: 2px !important;
}

.service-details img {
    height: 100%;
    width: 100%;

}

.service-arrow {
    margin-top: 0px;
}

/* over resent work */
/* Hide the images by default */
.mySlidess {
    display: none;
}

.mySlidess img {
    display: block;
    width: 100%;
    border-radius: 20px;
    /* aspect-ratio: 16 / 9; */
}



/* transition animation */
.animate {
    -webkit-animation-name: animate;
    -webkit-animation-duration: 1s;
    animation-name: animate;
    animation-duration: 2s;
}

@keyframes animate {
    from {
        transform: scale(1.1) rotateY(10deg);
    }

    to {
        transform: scale(1) rotateY(0deg);
    }
}

/* End over resent work */


.feature-content p {
    line-height: 1.6em;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    height: 80px;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.feature-content h4 {
    margin-bottom: 10px;
}

.navbar .nav-item .dropdown-submenu a::after {
    right: 14px !important;
}

.service-sidebar {
    max-height: 760px !important;
    overflow: auto !important;
}


.pad_index {
    padding-top: 40px;
    padding-bottom: 40px;

}

.mapss {
    height: 250px;
}

.about-des {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    height: 86px;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.footer-contact li i {
    padding: 11px;
    width: 36px;
    height: 34px;
    line-height: 12px;


}

.whats_nam i {
    background-color: green !important;

}

.contact-icon-4 i {
    background: #167a31;
}

.footer-widget-wrapper {
    padding-top: 90px;

}

.hero-img {
    padding:5px;
    padding-left: 10px;
    
    margin-left: 30px;
    border: 5px solid rgba(255, 253, 253, 0.5) !important;
    border-radius: 50%;
}




@media (max-width: 992px) {

    .content_slider {
        order: 2;

    }



    .home_sliders {
        padding-top: 80px;
    }

    .img_slider {
        border-top-left-radius: 0%;
        border-bottom-left-radius: 18%;
        border-bottom-right-radius: 18%;
        overflow: hidden;
        padding: 12%;
        order: 1;
    }



    .navbar-collapse {
        max-height: 462px !important;
    }

    .service-single-area {
        margin-top: 70px !important;
    }

    .features {
        padding: 10px 28px;
    }

    .navbar .nav-item .dropdown-submenu a::after {
        right: 30px !important;
    }












    .service-sidebar {
        max-height: 350px !important;
        overflow: auto !important;
    }


    .site-breadcrumb {
        padding-bottom: 44px;
        padding-top: 125px;
    }

    /* header part */

    .scro {
        max-height: 200px !important;
        overflow: auto;

        /* width: 258px; */
    }

    .main_nav {
        height: 50px !important;
        overflow: auto !important;
    }

    .child-rop {
        max-height: 120px !important;
        overflow: auto !important;
    }



    /* End header part */



    .img-sub-product {
        padding: 20px;
    }

    .sub_names .subs {
        font-size: 14px;
    }



    .site-breadcrumb {
        background-size: cover;
    }

    .category {
        padding: 0px;
    }

}




@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu .dropdown-item {
        font-size: 14px !important;
        font-weight: 500;

        padding: 2px 0px 2px 30px !important;
        padding-left: 14px !important;
    }

    .child-rop {
        background-color: rgb(254 244 244) !important;
        box-shadow: 2px 2px 2px solid gray;
        width: 180px !important;
        top: 0px !important;
    }






    .drop1 {
        width: 190px;
        direction: ltr;
        left: -216px;
        width: 200px;
        padding-left: 0px;
        background-color: rgb(254 244 244)
    }

    .scro {
        /* width: 400px !important; */
        height: 500px;
        width: 426px !important;
        direction: rtl;
        background-color: transparent !important;
        /* top: 100% !important; */
        padding-top: 0px;
        overflow-y: auto;
        overflow-x: hidden;
        scrollbar-color: #7f8586 #e4e8f1;
        scrollbar-width: thin;
        padding-bottom: 0px;
        box-shadow: none !important;
    }


}

@media (max-width: 767px) {

    .main-slider-home {
        flex-direction: column !important;
    }


    .about-right {
        margin-top: 0px !important;
    }

    .site-heading {
        margin-bottom: 20px !important;
        padding-top: 8px;
    }

    .service-sidebar {
        max-height: 680px !important;
        overflow: auto !important;
    }

    .prod_gallery {
        margin-bottom: 15px !important;
        margin-top: 27px !important;
    }


    .hero-single {
        padding-bottom: 50px;
    }

    .hero-img {
        display: block !important;
    }


    .home-3 .hero-img {
        padding-left: 0px !important;
        margin-left: 0px !important;
        margin-bottom: 0px;
    }



    .home-slider-left {
        order: 2 !important;
        width: 100% !important;
    }

    .home-slider-right {
        order: 1 !important;
        width: 100% !important;

    }

    .py-120 {
        padding: 20px 0px !important;
    }

    .sub-product-main {
        padding-top: 70px !important;
    }


    .hero-single::before {
        content: "";
        position: absolute;
        width: 100%;
        height: 64%;
        right: 0px;
        top: -51px;
        background: #FF442B;
    }

    .home-3 .hero-single::before {
        border-radius: 0px 0px 80px 80px !important;
    }



    /* .about-area {
                padding: 20px 0px !important;
            }

            .project-area {
                padding: 20px 0px !important;
            }

            .feature-area {
                padding: 20px 0px !important;
            }

            .service-area {
                padding: 20px 0px !important;
            }

            .team-area {
                padding: 20px 0px !important;
            }

            .testimonial-area {
                padding: 20px 0px !important;
            }

            .quote-area {
                padding: 20px 0px !important;
            }

            .blog-area {
                padding: 20px 0px !important;
            }

            .partner-area {
                padding: 20px 0px !important;
            } */

    .site-title {
        font-size: 26px;
    }

    .service-single-area {
        margin-top: 30px !important;
    }
}

@media (max-width: 576px) {

    .hero-single::before {
        margin-bottom: 111px;
        width: 100%;
        height: 65% !important;

    }

    .img_slider {
        padding: 12%;
    }

    .features .theme-btn {
        padding: 4px 4px 4px 12px !important;
        font-size: 14px;
    }

    .footer-widget-wrapper {
        padding-top: 30px;

    }

    .pad_index {
        padding-top: 0px;
        padding-bottom: 30px;

    }


    .service-single-area {
        margin-top: 70px !important;
    }

    .site-breadcrumb .breadcrumb-title {
        font-size: 26px;
    }

}

@media (max-width: 400px) {
    .hero-single::before {
        margin-bottom: 111px;
        width: 100%;
        height: 54% !important;

    }

    .hero-slider2.owl-theme .owl-nav .owl-prev {
        right: 65px;
    }

    .hero-slider2.owl-theme .owl-nav .owl-next {
        right: 7px;
    }

    .mapss {
        height: auto;
    }

    .service-sidebar {
        max-height: 550px !important;
        overflow: auto !important;
    }

    .product-pard {
        padding-left: 2px !important;
        padding-right: 2px !important;
    }

    .service-title a {
        font-size: 14px;
    }

    /* .features .theme-btn {
          padding: 4px 4px 4px 12px !important;
          font-size: 14px;
      } */

    .features-button {
        flex-direction: column;
    }

    .features-button .theme-btn i {
        margin-left: 8px !important;
        width: 32px !important;
        height: 32px !important;
        line-height: 33px !important;
    }

    .features-button {
        gap: 2px;
    }
}